# Generated by Django 3.2.6 on 2021-08-29 04:34

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Customer',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(auto_now_add=True, null=True)),
                ('updated_at', models.DateTimeField(auto_now=True, null=True)),
                ('gender', models.CharField(choices=[('M', 'MALE'), ('F', 'FEMALE')], default=None, max_length=2, null=True)),
                ('is_married', models.BooleanField(default=None, null=True)),
                ('region', models.CharField(choices=[('E', 'EAST'), ('W', 'WEST'), ('N', 'NORTH'), ('S', 'SOUTH')], default=None, max_length=2, null=True)),
                ('income_group', models.CharField(default=None, max_length=32, null=True)),
                ('phone', models.CharField(default=None, max_length=13, null=True)),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='CustomerHistory',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(auto_now_add=True, null=True)),
                ('updated_at', models.DateTimeField(auto_now=True, null=True)),
                ('gender', models.CharField(choices=[('M', 'MALE'), ('F', 'FEMALE')], default=None, max_length=2, null=True)),
                ('is_married', models.BooleanField(default=None, null=True)),
                ('region', models.CharField(choices=[('E', 'EAST'), ('W', 'WEST'), ('N', 'NORTH'), ('S', 'SOUTH')], default=None, max_length=2, null=True)),
                ('income_group', models.CharField(default=None, max_length=32, null=True)),
                ('phone', models.CharField(default=None, max_length=13, null=True)),
                ('customer', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='insurance_policy.customer')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='Policy',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(auto_now_add=True, null=True)),
                ('updated_at', models.DateTimeField(auto_now=True, null=True)),
                ('premium', models.IntegerField()),
                ('vehicle_segment', models.CharField(default=None, max_length=1, null=True)),
                ('fuel', models.CharField(default='CNG', max_length=12)),
                ('has_bodily_injury_liability', models.BooleanField(default=False)),
                ('has_personal_injury_liability', models.BooleanField(default=False)),
                ('has_property_damage_liability', models.BooleanField(default=False)),
                ('has_collision', models.BooleanField(default=False)),
                ('has_comprehensive', models.BooleanField(default=False)),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='CustomerPolicy',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(auto_now_add=True, null=True)),
                ('updated_at', models.DateTimeField(auto_now=True, null=True)),
                ('date_of_purchase', models.DateTimeField()),
                ('customer_history', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, to='insurance_policy.customerhistory')),
                ('policy', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, to='insurance_policy.policy')),
            ],
            options={
                'abstract': False,
            },
        ),
    ]
